GET /tasks/{task_id}/custom-fields/{custom_field_id}
1 min
GET
https://api.cmp.optimizely.com/v3/tasks/{task_id}/custom-fields/{custom_field_id}
Path Parameters
- task_idstringrequiredExampleDescription
- custom_field_idstringrequiredExampleDescription
Responses
200
- TaskCustomField
- idstringrequiredExampleDescription
- namestringrequiredExampleDescription
- typestring<text_field | multi_line_text_field | checkboxes | dropdown | multi_select_dropdown | multiple_choice | date_field | image | video | rich_text_field>requiredExampleDescriptionAllowedtext_fieldmulti_line_text_fieldcheckboxesdropdownmulti_select_dropdownmultiple_choicedate_fieldimagevideorich_text_field
- valuesobject[]requiredDescription
- idstringrequiredExampleDescription
- namestringrequiredExampleDescription
- linksobjectrequiredDescription
- selfstringrequiredExampleDescription
- choicesstringrequiredExampleDescription
400
- ErrorExample
{ "message": "Unsupported arguments: a,b,c" }Description- messagestringrequiredExampleDescription
- errorsmap<string, string>Description
401
- ErrorExample
{ "message": "Unauthorized" }Description- messagestringrequiredExampleDescription
- errorsmap<string, string>Description
403
- ErrorExample
{ "message": "You do not have the permission to perform this operation" }Description- messagestringrequiredExampleDescription
- errorsmap<string, string>Description
404
- ErrorExample
{ "message": "Resource not found" }Description- messagestringrequiredExampleDescription
- errorsmap<string, string>Description
curl
curl --request GET \
--url https://api.cmp.optimizely.com/v3/tasks/{task_id}/custom-fields/{custom_field_id} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.cmp.optimizely.com/v3/tasks/{task_id}/custom-fields/{custom_field_id}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.cmp.optimizely.com/v3/tasks/{task_id}/custom-fields/{custom_field_id}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.cmp.optimizely.com/v3/tasks/{task_id}/custom-fields/{custom_field_id}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Fetched custom field
{
"id": "9nu8ue9wf8u9nusd9q",
"name": "My Dropdown",
"type": "dropdown",
"values": [
{
"id": "1nu8ue9wf8u9nusd9u",
"name": "Some text"
}
],
"links": {
"self": "https://api.cmp.optimizely.com/v3/tasks/5f857f30e1c4a2038d6179e9/custom-fields/9nu8ue9wf8u9nusd9q",
"choices": "https://api.cmp.optimizely.com/v3/tasks/5f857f30e1c4a2038d6179e9/custom-fields/9nu8ue9wf8u9nusd9q/choices"
}
}400
// Client error
{
"message": "Not found",
"errors": ""
}401
// Authorization error
{
"message": "Not found",
"errors": ""
}403
// Permission error
{
"message": "Not found",
"errors": ""
}404
// Not found error
{
"message": "Not found",
"errors": ""
}